#pragma once

#include <cstdint>

//notes are 16th steps, starting at C-0
extern uint16_t lookup_note_to_freq[16*120];

struct phase_accumulator {
	phase_accumulator();
	uint16_t acc;
	uint16_t inc;
	void tick();
};